#
# spec file for package celt
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           celt
VCS: https://src.suse.de/SLFO-pool/celt#a8895c397c0a10b2fb2c41e5323a0d19e68133a054b64ec7991dcdb289c7b80f
Version:        0.11.3
Release:        160000.1.11
Summary:        Ultra-Low Delay Audio Codec
License:        BSD-2-Clause
Group:          Productivity/Multimedia/Other
Url:            http://www.celt-codec.org/
Source:         http://downloads.xiph.org/releases/celt/%{name}-%{version}.tar.gz
Source1:        baselibs.conf
BuildRequires:  libogg-devel
BuildRequires:  libtool
BuildRequires:  pkg-config
Requires:       libcelt0-2 = %{version}-%{release}
# Patch configure.ac to remove the "0" suffix from libcelt
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The CELT codec is an experimental audio codec for use in low-delay
speech and audio communication.

%package -n libcelt-devel
Summary:        Ultra-Low Delay Audio Codec
Group:          Development/Libraries/C and C++
Requires:       celt = %{version}-%{release}
Requires:       glibc-devel
Requires:       libcelt0-2 = %{version}-%{release}
Requires:       pkg-config

%description -n libcelt-devel
The CELT codec is an experimental audio codec for use in low-delay
speech and audio communication.

%package -n libcelt0-2
Summary:        Ultra-Low Delay Audio Codec
Group:          System/Libraries

%description -n libcelt0-2
The CELT codec is an experimental audio codec for use in low-delay
speech and audio communication.

%prep
%setup -q

%build
autoreconf -fiv
%configure\
	--disable-static\
	--with-pic
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libcelt0-2 -p /sbin/ldconfig

%postun -n libcelt0-2 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README COPYING TODO
%{_bindir}/celt*

%files -n libcelt-devel
%defattr(-,root,root)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/celt.pc

%files -n libcelt0-2
%defattr(-,root,root)
%{_libdir}/libcelt0.so.2*

%changelog
* Tue Jun 16 2015 mpluskal@suse.com
- Update to 0.11.3
  * no upstream changelog provided
- Cleanup spec file with spec-cleaner
- Update baselibs.conf
* Thu Sep 20 2012 cfarrell@suse.com
- license update: BSD-2-Clause
  See COPYING file
* Sat Mar 24 2012 i@marguerite.su
- fixed "no dependecies on libcelt*" warning.
* Fri Sep 30 2011 coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel building
- Add celt-devel to baselibs
* Fri Sep  9 2011 coolo@suse.com
- replace _service with real tar
* Tue Jun 21 2011 davejplater@gmail.com
- Added source services to update to 0.11.1.
- libcelt0-1 bumped to libcelt0-2 due to "current" increment.
- Upstream changes :
  * fixes two minor bugs with 0.11 that affect the bit-stream.
  The quality should improve (very) slightly, but not enough to be
  noticeable in most cases. Several Opus-related bugs have also
  been fixed.
* Wed Dec  8 2010 cristian.rodriguez@opensuse.org
- Upgrade to 0.9.1.x
  * improves the packet loss concealment.
  * high-frequency artefacts have been reduced.
* Sat Apr 24 2010 coolo@novell.com
- buildrequire pkg-config to fix provides
* Wed Feb 10 2010 lnussel@suse.de
- remove suffix patch. rename lib package instead
- add baselibs.conf
* Thu Feb  4 2010 davejplater@gmail.com
- Update to version 0.7.1
- Patch celt-0.7.1-libceltsuffix.patch removes the suffix from
  libcelt to keep the build service happy.
  * improves the quality of the packet loss concealment (PLC),
    but does not change the rest of the codec. For this reason it
    is the first release not to break bit-stream compatibility with
    the previous release (0.7.0).
    The default name of the library was changed to libcelt0.so to
    make it easier to do the transition when the final 1.0 release
    comes out (with frozen bit-stream and API).
  * CELT 0.7.0 again improves the stereo quality, reduces artefacts
    at low bitrates (birdies and speech roughness) and fixes many
    bugs. In addition to the usual bitstream incompatibilities,
    the API has also changed in this release.
* Wed Aug 12 2009 sbrabec@suse.cz
- Updated to version 0.6.1:
  * Breaks bit-stream compatibility!
  * Improves the stereo quality, especially at lower bit-rates.
  * Many quality improvements, including better stereo coupling,
    better handling of transients, and better handling of highly
    tonal signals, packet loss robustness, larger dynamic range,
    suitable for encoding 24-bit audio, VBR implementation.
  * Pitch prediction improved and simplified.
  * New bit allocation algorithm.
  * VQ search has been improved, small CPU reduction.
  * Fixing some quality problems with low frequency tones.
  * Many bug fixes.
* Mon Dec  1 2008 crrodriguez@suse.de
- initial package version
